﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections;
using Telerik.Web.UI.GridExcelBuilder;
using System.Data.SqlClient;
using Telerik.Web.UI.GridExcelBuilder.Abstract;
using Telerik.Web;
using Telerik.Web.UI.Common;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.IO;
using System.Text.RegularExpressions;

public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("C1");
        table.Columns.Add("C2");
        table.Columns.Add("C3");
        for (int i = 0; i < 10; i++)
            table.Rows.Add(i, i * 10, i * 100);
        (sender as RadGrid).DataSource = table;
    }

    bool isExport = false;

    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridHeaderItem && isExport)
        {
            GridHeaderItem item = e.Item as GridHeaderItem;
            foreach (GridColumn col in RadGrid1.MasterTableView.Columns)
            {
                if (col.HeaderStyle.Width.Type == UnitType.Percentage)
                {
                    if (!RadGrid1.ExportSettings.Pdf.PageWidth.IsEmpty)
                    {
                        double size = RadGrid1.ExportSettings.Pdf.PageWidth.Value - RadGrid1.ExportSettings.Pdf.PageLeftMargin.Value - RadGrid1.ExportSettings.Pdf.PageRightMargin.Value;
                        Unit unit = new Unit(size * col.HeaderStyle.Width.Value / 100, RadGrid1.ExportSettings.Pdf.PageWidth.Type);
                        col.HeaderStyle.Width = unit;
                    }
                }
            }
        }
    }
    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.ExportToPdfCommandName)
            isExport = true;
    }
}
